<?php

	if (isset($_GET['id'])) {
		$ID = $_GET['id'];
	} else {
		$ID = "";
	}

	// get image file from table
	$sql_query = "SELECT category_image FROM tbl_slider WHERE cid = ?";

	$stmt = $connect->stmt_init();
	if ($stmt->prepare($sql_query)) {
		// Bind your variables to replace the ?s
		$stmt->bind_param('s', $ID);
		// Execute query
		$stmt->execute();
		// store result
		$stmt->store_result();
		$stmt->bind_result($category_image);
		$stmt->fetch();
		$stmt->close();
	}

	// delete image file from directory
	$delete = unlink('upload/category/'."$category_image");

	// delete data from menu table
	$sql_query = "DELETE FROM tbl_slider WHERE cid = ?";

	$stmt = $connect->stmt_init();
	if ($stmt->prepare($sql_query)) {
		// Bind your variables to replace the ?s
		$stmt->bind_param('s', $ID);
		// Execute query
		$stmt->execute();
		// store result
		$delete_category_result = $stmt->store_result();
		$stmt->close();
	}

	// if delete data success back to reservation page
	if ($delete_category_result) {
		header("location: manage-slider.php");
	}

?>
